package domain


type AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderRequest struct {
    /*
        门店编码     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        业务子单号     */
    SubBizOrderId  *string `json:"sub_biz_order_id,omitempty" `

    /*
        退款信息     */
    AfterRefundOrderInfo  *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo `json:"after_refund_order_info,omitempty" `

}

func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderRequest) SetStoreId(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderRequest) SetSubBizOrderId(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderRequest {
    s.SubBizOrderId = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderRequest) SetAfterRefundOrderInfo(v AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderRequest {
    s.AfterRefundOrderInfo = &v
    return s
}
